### Method

# RB ShellPlayer get_playback_state

#### Declaration [src]

    gboolean
    rb_shell_player_get_playback_state (
      RBShellPlayer* player,
      gboolean* shuffle,
      gboolean* repeat
    )

#### Description [src]

Retrieves the current state of the shuffle and repeat settings.

#### Parameters

`shuffle`

  Type: `gboolean*`

  Returns the current shuffle setting.

  The argument will be set by the function.

`repeat`

  Type: `gboolean*`

  Returns the current repeat setting.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if successful.